unit Main;

{$MODE Delphi}

interface

uses LCLIntf, LCLType, SysUtils, Classes, Graphics, Forms,
  Controls, Menus, Buttons, ComCtrls,
  fpspreadsheetctrls, fpstypes, unitinterf{, Actions};

type

  { TMainForm }

  TMainForm = class(TForm)
    File1: TMenuItem;
    FileNewItem: TMenuItem;
    FileOpenItem: TMenuItem;
    FileCloseItem: TMenuItem;
    ImageList1: TImageList;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    Help1: TMenuItem;
    FileExitItem: TMenuItem;
    WindowCascadeItem: TMenuItem;
    WindowTileItem: TMenuItem;
    WindowArrangeItem: TMenuItem;
    HelpAboutItem: TMenuItem;
    FileSaveItem: TMenuItem;
    FileSaveAsItem: TMenuItem;
    Edit1: TMenuItem;
    CutItem: TMenuItem;
    CopyItem: TMenuItem;
    PasteItem: TMenuItem;
    WindowMinimizeItem: TMenuItem;
    WindowTileItem2: TMenuItem;
    ToolBar: TToolBar;
    BotNewContin: TToolButton;
    procedure FileNewContin(Sender: TObject);
  private
    { Private declarations }
    procedure CreateMDIChild(const Name: string; typem: Tpmode);
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.frm}

uses fpscsv;


procedure TMainForm.CreateMDIChild(const Name: string; typem: Tpmode);
var
  Child: TFormInterf;
begin
  { create a new MDI child window }
  Child := TFormInterf.Create(Application);
  Child.Caption := Name;
  Child.childmode := typem;
//  if FileExists(Name) then Child.Memo1.Lines.LoadFromFile(Name);
end;





procedure TMainForm.FileNewContin(Sender: TObject);
var
  fs: TFormatSettings;
begin
  //GetLocaleFormatSettings(LOCALE_USER_DEFAULT, fs);
  CreateMDIChild('CONTIN '+DateTimeToStr(Now), contin);
end;



end.
